// src/createHighlightPlugin.ts
import {
  createPluginFactory,
  onKeyDownToggleMark
} from "@udecode/plate-common";
var MARK_HIGHLIGHT = "highlight";
var createHighlightPlugin = createPluginFactory({
  key: MARK_HIGHLIGHT,
  isLeaf: true,
  handlers: {
    onKeyDown: onKeyDownToggleMark
  },
  deserializeHtml: {
    rules: [
      {
        validNodeName: ["MARK"]
      }
    ]
  },
  options: {
    hotkey: "mod+shift+h"
  }
});
export {
  MARK_HIGHLIGHT,
  createHighlightPlugin
};
//# sourceMappingURL=index.mjs.map